library verilog;
use verilog.vl_types.all;
entity barrel_shifter2 is
    generic(
        shiftsize       : integer := 16;
        cntsize         : integer := 4
    );
    port(
        dataout         : out    vl_logic_vector;
        shiftdistance   : in     vl_logic_vector;
        datain          : in     vl_logic_vector
    );
end barrel_shifter2;
